Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
RDO tickets are now tracked in Jira https://issues.redhat.com/projects/RDO/issues/
Bug 1323222 - Review request for openstack-sahara-ui
Summary: Review request for openstack-sahara-ui
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RDO
Classification: Community
Component: Package Review
Version: trunk
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: Liberty
Assignee: hguemar
QA Contact: Luigi Toscano
URL:
Whiteboard:
Depends On:
Blocks: RDO-MITAKA, RDO-MITAKA-REVIEWS
TreeView+ depends on / blocked
 
Reported: 2016-04-01 15:14 UTC by Elise Gafford
Modified: 2016-06-20 12:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-20 12:12:17 UTC
Embargoed:
hguemar: rdo-review+


Attachments (Terms of Use)
Fix bytecode files symlinks (deleted)
2016-04-22 21:24 UTC, Haïkel Guémar
no flags Details | Diff

Description Elise Gafford 2016-04-01 15:14:56 UTC
This component is a new incarnation of the Sahara Horizon dashboard plugin, which obsoletes python-django-sahara. Following openstack-sahara-ui naming to be in agreement with Manila.

Repo for review and import at https://github.com/egafford/openstack-sahara-ui

rdoinfo pending import and path for master-distgit. If rdoinfo patch is desired prior to import, please ping.

Comment 1 Luigi Toscano 2016-04-05 15:39:28 UTC
I tried the generated package, Mitaka version. I couldn't test cluster starting and job creation, but cluster and node group templates can be generated, as well as datasources, and all the main pages can be accessed. In other words the package seems to be consistent with upstream (i.e. if some error exists, it can be most likely reproduced on the upstream code), and I think that the current packaging is working.

Comment 2 hguemar 2016-04-13 18:10:42 UTC
Spec URL: https://hguemar.fedorapeople.org/reviews/openstack-sahara-ui.spec
SRPM URL: https://hguemar.fedorapeople.org/reviews/openstack-sahara-ui-4.0.0-1.el7.src.rpm

To fasten the review, I fixed the packaging:
* requires: openstack-dashboard
* Sources uses tarballs.openstack.org 

This package is hereby approved, I will import it.



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "Unknown or generated", "*No copyright* Apache
     (v2.0)". 20 files have unknown license. Detailed output of
     licensecheck in /home/haikel/openstack-sahara-ui/review-openstack-
     sahara-ui/licensecheck.txt
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /etc/openstack-dashboard/enabled
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /etc/openstack-
     dashboard/enabled
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[ ]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Spec file according to URL is the same as in SRPM.



Rpmlint
-------
Checking: openstack-sahara-ui-4.0.0-1.fc25.noarch.rpm
          openstack-sahara-ui-4.0.0-1.fc25.src.rpm
openstack-sahara-ui.noarch: W: non-conffile-in-etc /etc/openstack-dashboard/enabled/_1840_data_processing_jobs_panel.pyc
openstack-sahara-ui.noarch: W: non-conffile-in-etc /etc/openstack-dashboard/enabled/_1820_data_processing_clusters_panel.py
openstack-sahara-ui.noarch: W: non-conffile-in-etc /etc/openstack-dashboard/enabled/_1820_data_processing_clusters_panel.pyc
openstack-sahara-ui.noarch: W: non-conffile-in-etc /etc/openstack-dashboard/enabled/_1840_data_processing_jobs_panel.py
openstack-sahara-ui.noarch: W: non-conffile-in-etc /etc/openstack-dashboard/enabled/_1810_data_processing_panel_group.pyo
openstack-sahara-ui.noarch: W: non-conffile-in-etc /etc/openstack-dashboard/enabled/_1810_data_processing_panel_group.pyc
openstack-sahara-ui.noarch: W: non-conffile-in-etc /etc/openstack-dashboard/enabled/_1840_data_processing_jobs_panel.pyo
openstack-sahara-ui.noarch: W: non-conffile-in-etc /etc/openstack-dashboard/enabled/_1810_data_processing_panel_group.py
openstack-sahara-ui.noarch: W: non-conffile-in-etc /etc/openstack-dashboard/enabled/_1820_data_processing_clusters_panel.pyo
2 packages and 0 specfiles checked; 0 errors, 9 warnings.




Requires
--------
openstack-sahara-ui (rpmlib, GLIBC filtered):
    openstack-dashboard
    python(abi)
    python-babel
    python-iso8601
    python-keystoneclient
    python-manilaclient
    python-neutronclient
    python-novaclient
    python-saharaclient



Provides
--------
openstack-sahara-ui:
    openstack-sahara-ui



Source checksums
----------------
http://tarballs.openstack.org/sahara-dashboard/sahara-dashboard-4.0.0.tar.gz :
  CHECKSUM(SHA256) this package     : ef3eba107a24d52274d645951010a59203a5b7d7b8fc3f93815de16b4b41f373
  CHECKSUM(SHA256) upstream package : ef3eba107a24d52274d645951010a59203a5b7d7b8fc3f93815de16b4b41f373


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -n /home/haikel/openstack-sahara-ui/ -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 4 Luigi Toscano 2016-04-20 16:49:02 UTC
The dashboard can be installed and work properly. 

When the package is removed, few stale files are left under /usr/share/openstack-dashboard/openstack_dashboard/local/enabled/, and they *do* prevent the proper restart of httpd, which complains with:

Apr 20 16:44:05 localhost systemd[1]: Starting The Apache HTTP Server...
Apr 20 16:44:05 localhost python[19726]: WARNING:root:"dashboards" and "default_dashboard" in (local_)settings is DEPRECATED now and may be unsupported in some future release. The preferred way to specify the order of dashboards and
Apr 20 16:44:05 localhost python[19726]: WARNING:root:Error importing openstack_dashboard.local.enabled._1820_data_processing_clusters_panel
Apr 20 16:44:05 localhost python[19726]: ERROR:root:No module named sahara_dashboard
Apr 20 16:44:05 localhost python[19726]: Traceback (most recent call last):
Apr 20 16:44:05 localhost python[19726]: File "/usr/share/openstack-dashboard/openstack_dashboard/utils/settings.py", line 29, in import_submodules
Apr 20 16:44:05 localhost python[19726]: submodule = import_module(name)
Apr 20 16:44:05 localhost python[19726]: File "/usr/lib64/python2.7/importlib/__init__.py", line 37, in import_module
Apr 20 16:44:05 localhost python[19726]: __import__(name)
Apr 20 16:44:05 localhost python[19726]: File "/usr/share/openstack-dashboard/openstack_dashboard/local/enabled/_1820_data_processing_clusters_panel.py", line 13, in <module>
Apr 20 16:44:05 localhost python[19726]: ImportError: No module named sahara_dashboard
Apr 20 16:44:05 localhost python[19726]: WARNING:root:Error importing openstack_dashboard.local.enabled._1840_data_processing_jobs_panel
Apr 20 16:44:05 localhost python[19726]: ERROR:root:No module named sahara_dashboard
Apr 20 16:44:05 localhost python[19726]: Traceback (most recent call last):
Apr 20 16:44:05 localhost python[19726]: File "/usr/share/openstack-dashboard/openstack_dashboard/utils/settings.py", line 29, in import_submodules
Apr 20 16:44:05 localhost python[19726]: submodule = import_module(name)
Apr 20 16:44:05 localhost python[19726]: File "/usr/lib64/python2.7/importlib/__init__.py", line 37, in import_module
Apr 20 16:44:05 localhost python[19726]: __import__(name)
Apr 20 16:44:05 localhost python[19726]: File "/usr/share/openstack-dashboard/openstack_dashboard/local/enabled/_1840_data_processing_jobs_panel.py", line 13, in <module>
Apr 20 16:44:05 localhost python[19726]: ImportError: No module named sahara_dashboard
Apr 20 16:44:06 localhost python[19726]: Traceback (most recent call last):
Apr 20 16:44:06 localhost python[19726]: File "/usr/share/openstack-dashboard/manage.py", line 23, in <module>
Apr 20 16:44:06 localhost python[19726]: execute_from_command_line(sys.argv)
Apr 20 16:44:06 localhost python[19726]: File "/usr/lib/python2.7/site-packages/django/core/management/__init__.py", line 354, in execute_from_command_line
Apr 20 16:44:06 localhost python[19726]: utility.execute()
Apr 20 16:44:06 localhost python[19726]: File "/usr/lib/python2.7/site-packages/django/core/management/__init__.py", line 328, in execute
Apr 20 16:44:06 localhost python[19726]: django.setup()
Apr 20 16:44:06 localhost python[19726]: File "/usr/lib/python2.7/site-packages/django/__init__.py", line 18, in setup
Apr 20 16:44:06 localhost python[19726]: apps.populate(settings.INSTALLED_APPS)
Apr 20 16:44:06 localhost python[19726]: File "/usr/lib/python2.7/site-packages/django/apps/registry.py", line 85, in populate
Apr 20 16:44:06 localhost python[19726]: app_config = AppConfig.create(entry)
Apr 20 16:44:06 localhost python[19726]: File "/usr/lib/python2.7/site-packages/django/apps/config.py", line 86, in create
Apr 20 16:44:06 localhost python[19726]: module = import_module(entry)
Apr 20 16:44:06 localhost python[19726]: File "/usr/lib64/python2.7/importlib/__init__.py", line 37, in import_module
Apr 20 16:44:06 localhost python[19726]: __import__(name)
Apr 20 16:44:06 localhost python[19726]: ImportError: No module named sahara_dashboard
Apr 20 16:44:06 localhost systemd[1]: httpd.service: control process exited, code=exited status=1



The offending files are:
_1810_data_processing_panel_group.pyc
_1820_data_processing_clusters_panel.pyc
_1840_data_processing_jobs_panel.pyc


It's worth noting that openstack-trove-ui leaves some files as well upon removal (see https://bugzilla.redhat.com/show_bug.cgi?id=1323219#c8) but apparently they do not affect the restart.

Comment 5 Elise Gafford 2016-04-22 15:46:51 UTC
On review, package %files globs specify .py* in all cases. In my env, I am seeing .pyc and .pyo files be created in the directory /etc/openstack-dashboard/enabled, but I am not seeing .pyc files be created in the directory /usr/share/openstack-dashboard/openstack_dashboard/local/enabled. The created files under /etc are removed on package uninstall. However, if I manually create files in the /usr/share location (non-simlink), they are not removed when I uninstall the package.

Haikel, do you have thoughts on this issue, or have similar issues come up in the past? I'm very happy to dig in further, but think consulting the expert is likely best first.

Comment 6 Haïkel Guémar 2016-04-22 21:24:09 UTC
Created attachment 1149916 [details]
Fix bytecode files symlinks

Comment 7 Luigi Toscano 2016-04-25 10:28:40 UTC
The build with the patch in #c6 (4.0.0-2) does not show the issue, but I think it should be done the other way: the static files should be in /usr/share/openstack-dashboard/openstack_dashboard/local/enabled/, and the symbolic link inside /etc/openstack-dashboard/enabled/. See systemd or other packages, /etc/ references other contents from /usr, not the other way round.

Comment 8 Elise Gafford 2016-05-12 17:48:16 UTC
Review to reverse symlink direction up at https://review.rdoproject.org/r/#/c/1128/

Comment 9 hguemar 2016-06-20 12:12:17 UTC
Actually in stable repositories w/ egafford fixes.


Note You need to log in before you can comment on or make changes to this bug.